Subject: Re: [bug#58339] ’guix shell’ not working with GUIX_EXTENSIONS_PATH

From: zimoun <[email-masked]>
Date: Fri, 7 Oct 2022 20:49:00 +0200

Hi Liliana,

Well, I am in favor to go one foot then the other. :-)  Let start to
have a simple extension that we can improve by incremental changes,
then let add a section in the manual for having the reference
documentation, then let add a cookbook entry, etc.  Well, somehow the
perfect is the enemy of the good. :-)

It appears to me more motivational to document Guix extensions step by
step, i.e., people can contribute to the improvements, etc..  Instead
of going my way alone and then come back with a complete work.  For
what my opinion is worth.

On Fri, 7 Oct 2022 at 20:21, Liliana Marie Prikler
<[email-masked]> wrote:

> But that's the point.  Simply adding an extension – whether an example
> or an actually useful one – doesn't teach users how to use them.  It's
> missing this very information among other things.

The answer of this is provided by the following part of my previous message. :-)

> > For instance, let consider guix-modules [1].  It reads,
> >
> > --8<---------------cut here---------------start------------->8---
> > $ guix install guix-modules
> > $ export GUIX_EXTENSIONS_PATH="$HOME/.guix-
> > profile/share/guix/extensions"
> > --8<---------------cut here---------------end--------------->8---

The already included extension 'guix-modules' is usable using the
snippet above.  And we teach people via a blog post on hpc.guix.info.

> > --8<---------------cut here---------------start------------->8---
> > $ guix shell guix-modules -- guix module -h
> > guix: module: command not found
> > Try `guix --help' for more information.
> >
> > $ guix shell guix-modules
> > [env]$ guix module -h
> > guix: module: command not found
> > Try `guix --help' for more information.
> > --8<---------------cut here---------------end--------------->8---

> In case you really didn't know how to use extensions with guix shell,
> it's guix shell guix your-extension -- guix blah, assuming your
> extension works with a slightly older guix.

As shown by my snippet above, it does not work; at least on foreign distro.

Cheers,
simon